#

Function FMAKUNBOUND

Syntax:

fmakunbound name => name

Pronunciation:

[,ef'makuhn,band] or [,ef'maykuhn,band]

Arguments and Values:

name---a function name.

Description:

Removes the function or macro definition, if any, of name in the global environment.

Examples:

    (defun add-some (x) (+ x 19)) =>  ADD-SOME
     (fboundp 'add-some) =>  true
     (flet ((add-some (x) (+ x 37)))
        (fmakunbound 'add-some)
        (add-some 1)) =>  38
     (fboundp 'add-some) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if name is not a function name.

The consequences are undefined if name is a special operator.

See Also:

fboundp, makunbound

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- FUNCTION-NAME:LARGE

Copyright 1996-2005, LispWorks Ltd. All rights reserved.